<div align="center" dir="auto">
  <img src="external/images/logo.png" alt="Project ACTS Logo">
</div>

# Project ACTS - Core Python Library

![Python](https://img.shields.io/badge/Python-3.7%20%7C%203.8%20%7C%203.9%20%7C%203.10-blue)
![Version](https://img.shields.io/badge/Version-0.0.2-brightgreen)
![Coverage](https://img.shields.io/badge/Coverage-0%25-lightgray)

## What is it?

**ACTS Core** is the Core Backend Library for Project ACTS. It will contain the modeling necessary for the research project as well as its backend API code base. These includes tabular-input file processing, map boundary fetching, etc.

## Where to get it?

The source code is currently hosted in GitHub: [https://github.com/project-acts/acts-core](https://github.com/project-acts/acts-core)

Installation of the latest version is available at the Python Package Index (PyPI)

```shell
$ pip install acts.core
```

## Dependencies

- [scikit-learn - is a Python module for machine learning built on top of SciPy.](https://scikit-learn.org/stable/getting_started.html)

## Installation from sources

To install `acts.core` from source, locate and go in the **acts-core** directory (same one where you found this file after cloning the git repository), execute:

```shell
$ pip install .
```

or for installing in [development mode](https://pip.pypa.io/en/latest/cli/pip_install/#install-editable):

```shell
$ pip install -e .
```
